import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _SKPaymentTransaction } from "./SKPaymentTransaction.js";
import type { SKDownloadState } from "./SKDownloadState.js";
export declare class _SKDownload extends _NSObject {
    static alloc(): _SKDownload;
    static new(): _SKDownload;
    init(): _SKDownload;
    /** @deprecated Hosted content is no longer supported. */
    static contentURLForProductID$(productID: _NSString): _NSURL | null;
    /**
     * Deletes the content for that identifier from disk
     * @deprecated Hosted content is no longer supported.
     */
    static deleteContentForProductID$(productID: _NSString): void;
    /**
     * State of the download
     * @deprecated Hosted content is no longer supported.
     */
    state(): SKDownloadState;
    /** @deprecated -[SKDownload state] */
    downloadState(): SKDownloadState;
    /**
     * Total size of the content, in bytes
     * @deprecated -[SKDownload expectedContentLength]
     */
    contentLength(): _NSNumber;
    /**
     * Total size of the content, in bytes
     * @deprecated Hosted content is no longer supported.
     */
    expectedContentLength(): number;
    /**
     * Identifier for this content
     * @deprecated Hosted content is no longer supported.
     */
    contentIdentifier(): _NSString;
    /**
     * Location of the content data, if state is SKDownloadStateFinished
     * @deprecated Hosted content is no longer supported.
     */
    contentURL(): _NSURL;
    /**
     * Content version
     * @deprecated Hosted content is no longer supported.
     */
    contentVersion(): _NSString;
    /**
     * Failure error, if state is SKDownloadStateFailed
     * @deprecated Hosted content is no longer supported.
     */
    error(): _NSError;
    /**
     * Overall progress for the download [0..1]
     * @deprecated Hosted content is no longer supported.
     */
    progress(): number;
    /**
     * Estimated time remaining to complete the download, in seconds. Value is SKDownloadTimeRemainingUnknown if estimate is unknownxx.
     * @deprecated Hosted content is no longer supported.
     */
    timeRemaining(): number;
    /**
     * Transaction for this download
     * @deprecated Hosted content is no longer supported.
     */
    transaction(): _SKPaymentTransaction;
}
